#!/bin/bash

<% match=/^node(\d+)/.match(@hostname); n=match.nil? ? 0 : match[1].to_i; if n.between?(1,20) %>
if [ "$#" -ne 2 ]; then
  echo "Syntax: ceph-osd.replace osd-id1 osd-id2"
  exit 1
fi
VG=$HOSTNAME
VG1=$HOSTNAME.1
VG2=$HOSTNAME.2
/usr/bin/dd if=/dev/zero of=/dev/sdb bs=1M count=100
/usr/bin/dd if=/dev/zero of=/dev/sdc bs=1M count=100
vgcreate -f $VG1 /dev/sdb
vgcreate -f $VG2 /dev/sdc
lvcreate -L 256M -n bluestore.wal1 $VG
lvcreate -L 256M -n bluestore.wal2 $VG
lvcreate -L 32G -n bluestore.db1 $VG
lvcreate -L 32G -n bluestore.db2 $VG
lvcreate -l 100%FREE -n bluestore $VG1
lvcreate -l 100%FREE -n bluestore $VG2
ceph-volume lvm create --bluestore --data $VG1/bluestore --block.db $VG/bluestore.db1 --block.wal $VG/bluestore.wal1 --dmcrypt --osd-id $1
ceph-volume lvm create --bluestore --data $VG2/bluestore --block.db $VG/bluestore.db2 --block.wal $VG/bluestore.wal2 --dmcrypt --osd-id $2
<% elsif n.between?(53,500) %>
if [ "$#" -ne 1 ]; then
  echo "Syntax: ceph-osd.replace osd-id"
  exit 1
fi
vgcreate -f $HOSTNAME.ceph /dev/sda4
lvcreate -l 100%FREE -n bluestore $HOSTNAME.ceph
ceph-volume lvm create --bluestore --data $HOSTNAME.ceph/bluestore --dmcrypt --osd-id $1
<% elsif n.between?(801,840) %>
if [ "$#" -ne 2 ]; then
  echo "Syntax: ceph-osd.replace osd-id1 osd-id2"
  exit 1
fi
pvcreate -f /dev/sda4
pvcreate -f /dev/sdb4
vgcreate $HOSTNAME.1 /dev/sda4
vgcreate $HOSTNAME.2 /dev/sdb4
lvcreate -l 100%FREE -n bluestore $HOSTNAME.1
lvcreate -l 100%FREE -n bluestore $HOSTNAME.2
ceph-volume lvm create --bluestore --data $HOSTNAME.1/bluestore --dmcrypt --osd-id $1
ceph-volume lvm create --bluestore --data $HOSTNAME.2/bluestore --dmcrypt --osd-id $2
<% end %>
